Package: org.codehaus.groovy.antlr

## [Java] Class EnumHelper

- org.codehaus.groovy.antlr.EnumHelper

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static FieldNode` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
    `static ClassNode` | `makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static FieldNode addEnumConstant(ClassNode enumClass, String name, Expression init)

    - #### public static ClassNode makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)